Update Chatbot Settings - Chat Mode
curl --request PATCH \
--url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/chat-mode \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chatMode": "AI"
}
'import requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/chat-mode"
payload = { "chatMode": "AI" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({chatMode: 'AI'})
};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/chat-mode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Updated chat mode settings of the chatbot successfully",
"data": {}
}Settings
Update Chatbot Settings - Chat Mode
Update chat-mode settings of the chatbot
PATCH
/
v0
/
chatbots
/
{chatbotId}
/
settings
/
chat-mode
Update Chatbot Settings - Chat Mode
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Id of the chatbot
Body
application/json
Request body to update chat-mode settings of the chatbot
Request Body
Mode of the chat
Available options:
AI, AGENT Was this page helpful?
⌘I